cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/profiles/{ownerPubkey} \
--header 'x-api-key: <api-key>'{
"ownerPubkey": "<string>",
"realizedPnlUsd": "<string>",
"totalVolumeUsd": "<string>",
"predictionsCount": "<string>",
"correctPredictions": "<string>",
"wrongPredictions": "<string>",
"totalActiveContracts": "<string>",
"totalPositionsValueUsd": "<string>",
"totalActiveContractsMicro": "<string>",
"totalActiveContractsDecimal": "<string>"
}Profile & Social
Get Profile
Get profile statistics for a user
GET
/
profiles
/
{ownerPubkey}
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/profiles/{ownerPubkey} \
--header 'x-api-key: <api-key>'{
"ownerPubkey": "<string>",
"realizedPnlUsd": "<string>",
"totalVolumeUsd": "<string>",
"predictionsCount": "<string>",
"correctPredictions": "<string>",
"wrongPredictions": "<string>",
"totalActiveContracts": "<string>",
"totalPositionsValueUsd": "<string>",
"totalActiveContractsMicro": "<string>",
"totalActiveContractsDecimal": "<string>"
}Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Response
Profile stats
Legacy whole-contract count. Use totalActiveContractsMicro or totalActiveContractsDecimal for the exact value.
Active contracts in micro-contract units (1000000 = 1 contract)
Active contracts as a decimal string
Was this page helpful?
⌘I
